# CUpti_Profiler_DeviceSupported_Params Struct Reference
[CUPTI Profiling API]

Params for cuptiProfilerDeviceSupported.

## Data Fields
CUpti_Profiler_Support_Level | architecture
| [out] SUPPORTED if the device architecture level supports the Profiling API (Compute Capability >= 7.0), UNSUPPORTED otherwise
CUpti_Profiler_Support_Level | cmp
| [out] SUPPORTED if not NVIDIA Crypto Mining Processors (CMP), UNSUPPORTED otherwise
CUpti_Profiler_Support_Level | confidentialCompute
| [out] SUPPORTED if confidential compute is not enabled, UNSUPPORTED otherwise
CUdevice | cuDevice
| [in] if NULL, the current CUcontext is used
CUpti_Profiler_Support_Level | isSupported
| [out] overall SUPPORTED / UNSUPPORTED flag representing whether Profiling and PC Sampling APIs work on the given device and configuration. SUPPORTED if all following flags are SUPPORTED, UNSUPPORTED otherwise.
void * | pPriv
| [in] assign to NULL
CUpti_Profiler_Support_Level | sli
| [out] SUPPORTED if SLI is not enabled, UNSUPPORTED otherwise
size_t | structSize
| [in] Must be CUpti_Profiler_DeviceSupported_Params_STRUCT_SIZE
CUpti_Profiler_Support_Level | vGpu
| [out] SUPPORTED if vGPU is supported and profiling is enabled, DISABLED if profiling is supported but not enabled, UNSUPPORTED otherwise